Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.digitalasset
Interface DigitalAssetChooser

All Superinterfaces:
  Localized

    public interface DigitalAssetChooser

extends Localized

DigitalAssetChooser plugin interface allows a plugin to provide/render the necessary markup/javascript in order to render its DAM workspace UI and allow one to select a DigitalAsset via this workspace.

Since:
  8.5.cf3

Method Summary
`DigitalAsset.ResourceManagementOption` | `getDefaultResourceManagementOption()` Get the default Resource Management Option for this DAM
`java.lang.String` | `getName()` Name of this Chooser Plugin, needs to be unique to identify this chooser among all other choosers.
`java.lang.String` | `getPreferredDigitalAssetResourceManagerPluginName(DigitalAssetChooserRenderingContext p_rendCtx)` Get the preferred DigitalAssetResourceManagerPlugin name that support items picked/chosen by this chooser.
`java.lang.String` | `getProviderName()` Provider/company/product name of the chooser plugin.
`void` | `renderDigitalChooser(DigitalAssetChooserRenderingContext p_rendCtx)` Renders the UI widget portion of the DAM chooser.
`boolean` | `showResourceManagementOption()` Should this DAM show the resource management option?

Methods inherited from interface com.ibm.portal.Localized
`getDescription, getLocales, getTitle`

Method Detail

### getName

    java.lang.String getName()

  Name of this Chooser Plugin, needs to be unique to identify this chooser among all other choosers.

  Returns:
    unique name of the chooser

### getProviderName

    java.lang.String getProviderName()

  Provider/company/product name of the chooser plugin. This should, but is not required to, match the provider in use of the DigitalAssetResourceManagerPlugin

  Returns:
    provider for this Chooser plugin

### getDefaultResourceManagementOption

    DigitalAsset.ResourceManagementOption getDefaultResourceManagementOption()

  Get the default Resource Management Option for this DAM

  Returns:
    the default Resource Management Option

### showResourceManagementOption

    boolean showResourceManagementOption()

  Should this DAM show the resource management option?

  Returns:
    true if WCM should show the resource management option for this DAM, false otherwise

### renderDigitalChooser

    void renderDigitalChooser(DigitalAssetChooserRenderingContext p_rendCtx)
                              throws DigitalAssetException

  Renders the UI widget portion of the DAM chooser. This can open a new window with the DAMs workspace, or open some other chooser rendering

  Once an asset is chosen the value of the p_renderCtx.getId() + "_digital_asset_token_id" ( or p_rendCtx.encode("digital_asset_token_id") ) element should be set with the path/token of the selected Asset. WCM will pass the value in this element to the `DigitalAssetResourceManagerPlugin.consumeSelectedAsset()` method to convert the token to DigitalAsset object and associate it with the resource

  Parameters:
    `p_rendCtx` - - The renderingContext for the widget
  Throws:
    `DigitalAssetException` - - thrown is any error occurs writing to the writer

### getPreferredDigitalAssetResourceManagerPluginName

    java.lang.String getPreferredDigitalAssetResourceManagerPluginName(DigitalAssetChooserRenderingContext p_rendCtx)

  Get the preferred DigitalAssetResourceManagerPlugin name that support items picked/chosen by this chooser. This method will be called immediately after the renderDigitalChooser() method has completed, to allow the chooser to return the plugin name based upon the chosen asset, if needed. The p_rendCtx will be the same DigitalAssetChooserRenderingContext object passed to the renderDigitalChooser.

  Parameters:
    `p_rendCtx` - - The renderingContext for the widget. This will be the same object as sent to DigitalAssetChooserRenderingContext object passed to the renderDigitalChooser.
  Returns:
    The preferred DigitalAssetResourceManagerPlugin name that can handle the selected asset.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD